Subject: Re: [PATCH v2 2/2] [GSOC] interpret-trailer: easy parse trailer value

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Mar 2021 11:45:17 -0700

Bagas Sanjaya <[email-masked]> writes:

> I mean the error should be:
>
> ```
> error: @batman match multiple identities:
> 1) batman <email1>
> 2) batman <email2>
> ...
> n) batman <emailn>
>
> Please disambiguate by running "git commit --trailer" with full identity, like:
>     git commit --trailer="<someone> <<email>>" <options>...
>
> ```

Detecting error alone is probably prohibitively expensive, as it
takes you to scan _all_ commits down to the beginning of time to
pruve that a given pattern matches one and only one author ident.

Assuming that we would pay that cost (I doubt we would want to,
though), additional cost to show all possible hits would be small
and manageable, I think.